Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicanteditpage.pt
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicanteditpage.pt	(revision 8196)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser_templates/applicanteditpage.pt	(revision 8197)
@@ -18,5 +18,5 @@
       <tr>
         <td class="fieldname" i18n:translate="">
-          Photograph:
+          Passport Photo:
         </td>
         <td>
Index: /main/waeup.kofa/trunk/src/waeup/kofa/browser/viewlets.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/browser/viewlets.py	(revision 8196)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/browser/viewlets.py	(revision 8197)
@@ -526,5 +526,5 @@
     icon = 'actionicon_manage.png' # File must exist in static/
     target = '@@show' # link to this viewname.
-    text = _('Show batch logs') # Text to display on the button
+    text = _('Show logs') # Text to display on the button
 
 class BrowseDatacenterLogs(BrowseActionButton):
@@ -532,7 +532,7 @@
     grok.view(DatacenterPage)
     grok.order(4)
-    icon = 'documentinfo_templet.png'
+    icon = 'actionicon_info.png'
     target = '@@logs'
-    text = _('Show batch logs')
+    text = _('Show logs')
 
 #
@@ -544,5 +544,5 @@
     grok.require('waeup.manageUniversity')
     grok.order(6)
-    icon = 'actionbox_templet.png'
+    icon = 'actionicon_gear.png'
     target = '@@import1'
     text = _('Batch processing')
